$fn=50;

include <threadExp.scad>;

module adjustmentScrew()
{
    height=7.5;
    
    pitchRadius=6.2;
    pitch=1.5;
    
    pitchAngle=30;
    
    threadTolerance=0.1;
    
    addendum=pitch/(8*tan(pitchAngle))-threadTolerance;
    dedendum=addendum*4;
    
    apothem=4.4/2;
    
    difference()
    {
        thread(pitch, pitchRadius, pitchAngle, addendum, dedendum, height, $fn, 1);
        
        hex(apothem, height);
    }
}

module hex(apothem, height)
{
    for(i=[0:2])
    {
        rotate([0, 0, i*360/3])
        {
            translate([-apothem, -tan(360/12)*apothem, 0])
            {
                cube([2*apothem, tan(360/12)*2*apothem, height]);
            }
        }
    }
}

adjustmentScrew();
