$fn=100;

module adjusterPlate()
{
  thickness=1.8;
  radius=2.5;
  width=25.75;
  length=17.6;
  
  extendWidth=8.5;
  extendLength=19.6;
  
  offsetDist=10.8;
  offsetLength=length-offsetDist;
  
  cylinderDist=4.6;
  
  difference()
  {
    union()
    {
      translate([0, -width/2, 0]) cube([length, width, 2*thickness]);
      translate([0, -extendWidth/2, 0]) cube([extendLength, extendWidth, 2*thickness]);
    }
    translate([cylinderDist, 0, 0]) cylinder(r=radius, h=2*thickness);
    translate([0, -width/2, thickness]) cube([offsetDist, width, thickness]);
  }
}

adjusterPlate();