$fn=100;

module sensorCover()
{
  width=9.5;
  length=9;
  thickness=0.6;
  
  bumpDistance=3.6;
  bumpWidth=1.0;
  bumpLength=1.4;
  bumpDepth=0.4;
  
  cutoutLength=4;
  cutoutWidth=6.5;
  
  rotate([180, 0, 0])
  {
    difference()
    {
      cube([length, width, thickness]);
      
      translate([0, width/2-cutoutWidth/2, 0])
      {
        cube([cutoutLength, cutoutWidth, thickness]);
      }
      translate([bumpDistance, 0, 0])
      {
        cube([bumpLength, bumpWidth, bumpDepth]);
      }
      translate([bumpDistance, width-bumpWidth, 0])
      {
        cube([bumpLength, bumpWidth, bumpDepth]);
      }
    }
  }
}

sensorCover();